(function (global, factory) {
	typeof exports === 'object' && typeof module !== 'undefined' ? module.exports = factory(require('preact')) :
	typeof define === 'function' && define.amd ? define(['preact'], factory) :
	(global.NoSsr = factory(global.preact));
}(this, (function (preact) { 'use strict';

var Placeholder = function () { return null; };
// const RENDER_TIMEOUT = 0;

var NoSir = (function (Component$$1) {
  function NoSir (props) {
    Component$$1.call(this, props);
    this.state = { skip: ('skip' in props) ? props.skip : true }; // no sir!
  }

  if ( Component$$1 ) NoSir.__proto__ = Component$$1;
  NoSir.prototype = Object.create( Component$$1 && Component$$1.prototype );
  NoSir.prototype.constructor = NoSir;
  NoSir.prototype.componentDidMount = function componentDidMount () {
    if (this.state.skip) {
      // this._timeout = setTimeout(
      //   () => this.setState({ skip: false }),
      //   this.props.timeout || RENDER_TIMEOUT
      // );
      this.setState({ skip: false });
    }
  };
  // componentWillUnmount () {
  //   if (this._timeout) {
  //     clearTimeout(this._timeout);
  //   }
  // }
  NoSir.prototype.render = function render () {
    var ref = this.props;
    var children = ref.children;
    var placeholder = ref.placeholder; if ( placeholder === void 0 ) placeholder = preact.h( Placeholder, null );
    var ref$1 = this.state;
    var skip = ref$1.skip;
    return skip ? placeholder : children[0]
  };

  return NoSir;
}(preact.Component));



/*
  <NoSir
    placeholder={<MySpinnerOrPlaceholder />} // placeholder to render on server, defaults to null
    skip={false} // toggle on/off server render visibleping, defaults to true, omit prop if true
    abtf // todo, automatically renders when visible in viewport as opposed to always when on client
  >
    <div>Stuff that won't render on server</div>
  </NoSir>
*/

return NoSir;

})));
//# sourceMappingURL=preact-no-ssr.js.map
